<?php
/*
 * Class: EdlUtils
 * @author: Edward de Leau <e@leau.net>
 * @copyright: Edward de Leau, http://edward.de.leau.net
 * 
 * static class containing utility functions
 */
if (!class_exists("EdlUtils")) 
{
	class EdlUtils
	{
	
		// singleton instance 
		private static $instance;
	
		// private constructor function 
		// to prevent external instantiation 
		private function __construct() 
		{ 
		} 
		private function __clone()
		{
		} 
		
		// getInstance method 
		public static function getInstance() 
		{ 
			if(!self::$instance) 
			{ 
				self::$instance = new self(); 
			}
			return self::$instance; 
		}

		/*
		 * Writes a file to disk
		 */
		public static function WriteFile($dir,$file,$content) 
		{
			if (!is_dir($dir)) {	
				mkdir($dir, 0700, true);
			}
			$fh = fopen($file, 'w') or die("can't open file");
			fwrite($fh, $content);
			fclose($fh);			
		}

	} 

}